#
# spec file for package howl
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           howl
Version:        0.5.3
Release:        lp151.2.3
Summary:        Editor with keyboard-centric minimalistic interface
License:        MIT
Group:          Productivity/Text/Editors
Url:            https://howl.io/
Source:         https://github.com/howl-editor/howl/releases/download/%{version}/%{name}-%{version}.tgz
Patch0:         howl-respect-cflags.patch
BuildRequires:  fdupes
BuildRequires:  gcc
BuildRequires:  gtk3-devel
BuildRequires:  hicolor-icon-theme
BuildRequires:  update-desktop-files
Requires:       luajit

%description
Howl is a general purpose editor that is customizable. It is built on
top of the LuaJIT runtime, and can be extended in either Lua or
Moonscript. It has a minimalistic UI, driven mainly using the
keyboard.

%prep
%setup -q
%patch0 -p1

%build
export CFLAGS="%{optflags}"
cd src
make %{?_smp_mflags}

%install
pushd src
%make_install PREFIX=%{_prefix}
popd

cp -R share/ %{buildroot}%{_prefix}/

%suse_update_desktop_file -r howl Utility TextEditor

%fdupes %{buildroot}%{_prefix}

%files
%license LICENSE.md
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/%{name}
%dir %{_datadir}/appdata/
%{_datadir}/appdata/%{name}.appdata.xml
%{_bindir}/%{name}
%{_bindir}/%{name}-spec

%changelog
* Wed Feb 21 2018 tchvatal@suse.com
- Install properly to /usr not /usr/local
- Drop post/postun that is empty on 15+
- Mark license as %%license
- Package bundles lpeg and luajit
* Sun Feb 18 2018 avindra@opensuse.org
- Update to 0.5.3
  * workaround for a Gtk issue with scrollbars.
- includes 0.5.2:
  * Fixed a bug manifesting in a SIGSEGV on OpenBSD.
* Mon Jul 17 2017 jengelh@inai.de
- Make a neutral summary
* Thu Jul 13 2017 tchvatal@suse.com
- Version update to latest 0.5.1 release:
  * Code inspection
  * More bundles
  * Loads of bugfixes
- Remove merged patch appdata.patch
- Add patch to respect cflags howl-respect-cflags.patch
* Wed Feb  8 2017 jengelh@inai.de
- Trim filler words from description
* Sun Jan 29 2017 mailaender@opensuse.org
- add appdata.patch for https://en.opensuse.org/openSUSE:AppStore
* Sat Dec 24 2016 mailaender@opensuse.org
- spec file cleanup
* Wed Nov 16 2016 code@baez.nyc
  Updating to 0.4.1
* Thu Jun  2 2016 code@baez.nyc
  An initial spec of howl.
